[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.GetTextMetrics

Retrieves the metrics for the currently selected font.

## Declaration

Source position: winapih.inc line 155

`public function TWidgetSet.GetTextMetrics(`
`DC: HDC;`
`var TM: TTextMetric`
`):Boolean; virtual;`

## Arguments

`DC` |  | The device context, where the font is selected.
`TM` |  | Receives the information.

## Function result

False on failure.